REM res2ins: a batch file to introduce lattice and structure parameters into *.ins from *.res output by EXPO2004.  A backup file, *.bak, for *.ins remains in the same folder.

REM Absolute path for the location of *.res and *.ins.
REM 'LOCINS=.' if *.res and *.ins are contained in the same directory as this batch file
SET LOCINS=C:\Program Files\EXPO2004\expodir\examples
REM Base name. File name = (base name).*, where '*' denotes an extension such as 'res' and 'ins'.
SET SAMPLE=BaSO4E
REM Absolute path for the location of res2ins.exe.
SET RES2INS=C:\Program Files\RIETAN-2000 Folder\programs

REM Change the current directory
IF "%OS%" == "Windows_NT" CHDIR /D "%LOCINS%"
IF NOT "%OS%" == "Windows_NT" "%RIETAN%\pushd" "%LOCINS%"

IF EXIST "%SAMPLE%.bak" DEL "%SAMPLE%.bak"
REN "%SAMPLE%.ins" "%SAMPLE%.bak"
CLS
"%RES2INS%\res2ins.exe" "%SAMPLE%.res" "%SAMPLE%.bak" "%SAMPLE%.ins"
REM "%VENUS%VICS.exe" "%SAMPLE%.ins"
